import Vue from 'vue';
import App from './App.vue';
import route, { routerMap } from './route';
import store from './store/index';
import elementUi from 'element-ui';
import rymUi from '../src/index';
import 'normalize.css/normalize.css';

Vue.use(elementUi);
Vue.use(rymUi);

Vue.config.productionTip = false;

window[Symbol.for('vueAppStore')] = store;

new Vue({
  render: h => <App route={routerMap} />,
  router: route,
  store,
}).$mount('#app');
